# Create Credential With Code

`POST /auth/credentials/code/verify`

Part of the flow [Create Credential With Code](/d/advanced-topics/authentication/credentials.md#create-credential-with-code-flow).

Adds a new credential to a user's account. This endpoint is similar to the [Create Credential](/d/api-docs/authentication/credential-management/api-reference/createusercredential-1.md) endpoint, except:

* it does not need the user to be authenticated
* it does not need user action signing
* it will only work with the challenge gotten from the [Create Credential Challenge With Code](/d/api-docs/authentication/credential-management/api-reference/createusercredentialchallenge-1.md) endpoint

{% hint style="info" %}

* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
  {% endhint %}

## Required Permissions

None

## Request body

Similar to the [Create Credential](/d/api-docs/authentication/credential-management/api-reference/createusercredential-1.md) endpoint

## Response body

Similar to the [Create Credential](/d/api-docs/authentication/credential-management/api-reference/createusercredential-1.md) endpoint


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/credential-management/api-reference/createusercredential-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
